Register an installation
curl --request POST \
--url https://galinum.com/api/v1/sdk/installations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"installationId": "device_example",
"appId": "com.example.app",
"platform": "ios",
"environment": "development",
"capability": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
}
'import requests
url = "https://galinum.com/api/v1/sdk/installations"
payload = {
"installationId": "device_example",
"appId": "com.example.app",
"platform": "ios",
"environment": "development",
"capability": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
installationId: 'device_example',
appId: 'com.example.app',
platform: 'ios',
environment: 'development',
capability: 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa'
})
};
fetch('https://galinum.com/api/v1/sdk/installations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/sdk/installations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'installationId' => 'device_example',
'appId' => 'com.example.app',
'platform' => 'ios',
'environment' => 'development',
'capability' => 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/sdk/installations"
payload := strings.NewReader("{\n \"installationId\": \"device_example\",\n \"appId\": \"com.example.app\",\n \"platform\": \"ios\",\n \"environment\": \"development\",\n \"capability\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://galinum.com/api/v1/sdk/installations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"installationId\": \"device_example\",\n \"appId\": \"com.example.app\",\n \"platform\": \"ios\",\n \"environment\": \"development\",\n \"capability\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/sdk/installations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"installationId\": \"device_example\",\n \"appId\": \"com.example.app\",\n \"platform\": \"ios\",\n \"environment\": \"development\",\n \"capability\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\"\n}"
response = http.request(request)
puts response.read_body{
"installation": {
"id": "<string>",
"appId": "<string>",
"platform": "ios",
"environment": "development",
"userId": "<string>",
"bindingGeneration": 4503599627370495,
"revision": 4503599627370495,
"tokenRevision": 4503599627370495,
"hasToken": true,
"permission": "unknown",
"consent": true,
"capabilities": {
"actions": [
"<string>"
],
"channels": [
"<string>"
],
"richImages": true,
"categories": [
{
"id": "<string>",
"actions": [
{
"id": "<string>",
"title": "<string>"
}
]
}
]
},
"lastActiveAt": 1,
"createdAt": 4503599627370495
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Installations
Register an installation
Installation mutations retain their original acknowledgement for the latest 128 successful mutations per installation. Replays do not extend retention. After eviction, an original stale-revision request returns 409 without reapplying. Use GET installation state for current state.
POST
/
api
/
v1
/
sdk
/
installations
Register an installation
curl --request POST \
--url https://galinum.com/api/v1/sdk/installations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"installationId": "device_example",
"appId": "com.example.app",
"platform": "ios",
"environment": "development",
"capability": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
}
'import requests
url = "https://galinum.com/api/v1/sdk/installations"
payload = {
"installationId": "device_example",
"appId": "com.example.app",
"platform": "ios",
"environment": "development",
"capability": "aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
installationId: 'device_example',
appId: 'com.example.app',
platform: 'ios',
environment: 'development',
capability: 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa'
})
};
fetch('https://galinum.com/api/v1/sdk/installations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://galinum.com/api/v1/sdk/installations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'installationId' => 'device_example',
'appId' => 'com.example.app',
'platform' => 'ios',
'environment' => 'development',
'capability' => 'aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://galinum.com/api/v1/sdk/installations"
payload := strings.NewReader("{\n \"installationId\": \"device_example\",\n \"appId\": \"com.example.app\",\n \"platform\": \"ios\",\n \"environment\": \"development\",\n \"capability\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://galinum.com/api/v1/sdk/installations")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"installationId\": \"device_example\",\n \"appId\": \"com.example.app\",\n \"platform\": \"ios\",\n \"environment\": \"development\",\n \"capability\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://galinum.com/api/v1/sdk/installations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"installationId\": \"device_example\",\n \"appId\": \"com.example.app\",\n \"platform\": \"ios\",\n \"environment\": \"development\",\n \"capability\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\"\n}"
response = http.request(request)
puts response.read_body{
"installation": {
"id": "<string>",
"appId": "<string>",
"platform": "ios",
"environment": "development",
"userId": "<string>",
"bindingGeneration": 4503599627370495,
"revision": 4503599627370495,
"tokenRevision": 4503599627370495,
"hasToken": true,
"permission": "unknown",
"consent": true,
"capabilities": {
"actions": [
"<string>"
],
"channels": [
"<string>"
],
"richImages": true,
"categories": [
{
"id": "<string>",
"actions": [
{
"id": "<string>",
"title": "<string>"
}
]
}
]
},
"lastActiveAt": 1,
"createdAt": 4503599627370495
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Your project's publishable key (pk_pub_…). Safe to expose in the browser — it identifies the project and is rate-limited, not secret.
Body
application/json
Encoded JSON body limit: 262144 bytes (256 KiB), including JSON escapes and whitespace.
Required string length:
1 - 128Pattern:
^[A-Za-z0-9_-]+$Required string length:
1 - 256Available options:
ios, android Available options:
development, production Required string length:
43 - 128Pattern:
^[A-Za-z0-9_-]{43,128}$Response
Current installation state or replayed acknowledgement.
Show child attributes
Show child attributes